*{
    margin: 0;
    padding: 0;
    font-family: 'Poppins',sans-serif;
    box-sizing: border-box;
}
html{
    scroll-behavior: smooth;
}
body{
    background: #080808;
    color: #fff;
}
#header{
    width: 100%;
    height: 100vh;
}
.container{
    padding: 10px 10%;

}
nav{
    display: flex;
    align-items: center;
    justify-content: space-between;
    flex-wrap: wrap;

}
.logo{
    width: 140px;
}
nav ul li{
    list-style: none;
    display: inline;
    margin: 10px 20px;
}
a{
    color: #fff;
    text-decoration: none;
    font-size: 18px;
    position: relative;
}
nav ul li a::after{
    content: "";
    width: 0%;
    height: 3px;
    background-color: #0845ea;
    position: absolute;
    left: 0;
    bottom: -6px;
    transition: 0.5s;
}
a:hover::after{
    width: 100%;

}
.header-text{
    margin-top: 20%;
    font-size: 30px;

}
.header-text h1{
    font-size: 60px;
    margin-top: 20px;
}
.header-text span{
    color: #0845ea;
}
/*--------about-------*/
about{
    padding: 80px;
    color: #ababab;
}
.row{
    display: flex;
    justify-content: space-between;
    flex-wrap: wrap;
}
.column1{
    flex-basis: 35%;
    
}
.column1 img{
    width: 100%;
    border: 55px;
    padding: 50px;
}
.column2{
    flex-basis: 60%;

}
.subtitle{
    font-size: 60px;
    font-weight: 600px;
    color: #fff;

}
span{
    color: #0845ea;
}
.tab-title{
    display: flex;
    margin: 20px 0 40px;
}
.tab-links{
    margin-right: 50px;
    font-size: 18px;
    font-weight: 500;
    cursor: pointer;
    position: relative;
}
.tab-links ::after{
    content: '';
    width: 0;
    height: 3px;
    color: #0845ea;
    position: absolute;
    left: 0;
    bottom: -8px;
    transition: 0.5s;
}
.tab-links.active-link::after{
    width: 50%;
}
.tab-contents ul li{
    margin: 10px 0;
    list-style: none;
}
.tab-contents ul li span{
    font-size: 14px;
    color: #0845ea;
}
.tab-contents{
    display: none;
}
.tab-contents.active-tab{
    display: block;
}

#services{
    padding: 30px 0;
}
.services-list{
    display: grid;
    grid-template-columns: repeat(auto-fit,minmax(250px,1fr));
    grid-gap: 40px;
    margin-top: 50px;
}
.services-list div{
    background-color: #262626;
    padding: 40px;
    font-size: 30px;
    font-weight: 300;
    border-radius: 10px;
    transition: background 0.5s,tranform 0.5s;
}
.services-list div i{
    font-size: 50px;
    margin-bottom: 30px;

}
.services-list div h2{
    font-size: 30px;
    font-weight: 500;
    margin-bottom: 15px;
}
.services-list div a{
    text-decoration: none;
    color: #fff;
    font-size: 12px;
    margin-top: 20px;
    display: inline-block;
}
.services-list div:hover{
    background-color: #0845ea;
    transform: translateY(-10px);
}
#portfolio{
    padding: 50px 0;
}
.worklist{
    display: grid;
    grid-template-columns: repeat(auto-fit,minmax(250px,1fr));
    grid-gap: 40px;
    margin-top: 50px;

}
.work{
    border-radius: 10px;
    position: relative;
    overflow: hidden;

}
.work img{
    width: 100%;
    border-radius: 10px;
    display: block;
    transition: 0.5s;
}
.layer{
    width: 100%;
    height: 0%;
    background: linear-gradient(rgba(0,0,0,0.6), #0845ea);
    border-radius: 10px;
    position: absolute;
    left: 0;
    bottom: 0;
    overflow: hidden;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    padding: 0 40px;
    text-align: center;
    font-size: 14px;
    transition: height 0.5s;

}
.layer h3{
    font-weight: 500;
    margin-bottom: 20px;
}
.layer a{
    margin-top: 20px;
    color: #0845ea;
    text-decoration: none;
    font-size: 18px;
    line-height: 60px;
    background-color: #fff;
    width: 60px;
    height: 60px;
    border-radius: 50%;
    text-align: center;
}
.work:hover img{
    transform: scale(1.1);

}
.work:hover .layer{
    height: 100%;
}
.btn{
    display: block;
    margin: 50px auto;
    width: fit-content;
    border: 1px solid #0845ea;
    padding: 14px 50px;
    border-radius: 6px;
    transition: backgroud 0.5s;
}
.btn:hover{
    background-color: #0845ea;
}
.contact-left{
    flex-basis: 35%;
}
contact-right{
    flex-basis: 60%;
}
.contact-left p{
    margin-top: 30px;
}
.contact-left p i{
    color: #0845ea;
    margin-right: 15px;
    font-size: 25px;
}

.social-icons{
    margin-top: 30px;
}
.social-icons a{
    text-decoration: none;
    font-size: 30px;
    margin-right: 15px;
    color: #ababab;
    display: inline-block;
    transition: transform 0.5s;
}
.social-icons a:hover{
    color: #0845ea;
    transform: translateY(-5px);

}
.btn.btn2{
    display: inline-block;
    background: #0845ea;
}
.contact-right form{
    width: 100%;


}
form input, form textarea{
    width: 100%;
    border: 0;
    outline: none;
    background: #262626;
    padding: 15px;
    margin: 15px 0;
    color: #fff;
    font-size: 18px;
    border-radius: 6px;

}
form btn2{
    padding: 14px;
    font-size: 18px;
    margin-top: 20px;
    cursor: pointer;

}